using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;
using static Terraria.ModLoader.ModContent;

namespace ConciseGuns.Items
{
	public class CGNut : ModItem
	{
		public override void SetStaticDefaults() {
			DisplayName.SetDefault("Nut");
			Tooltip.SetDefault("Blue button not included.");
		}
	
		public override void SetDefaults() {
			item.width = 14;
			item.height = 14;
			item.maxStack = 999;
			item.value = 200;
			item.rare = 2;
		}

		public override void AddRecipes()
		{
			ModRecipe recipe = new ModRecipe(mod);
			recipe.AddIngredient(mod.GetItem("BronzeBar"));
			recipe.AddIngredient(ItemID.IronBar);
			recipe.AddTile(TileID.Anvils);
			recipe.SetResult(this, 2);
			recipe.AddRecipe();
		}
	}
}