using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;
using static Terraria.ModLoader.ModContent;

namespace ConciseGuns.Items
{
	public class BronzeBar : ModItem
	{
		public override void SetStaticDefaults() {
			DisplayName.SetDefault("Bronze Bar");
		}
	
		public override void SetDefaults() {
			item.width = 14;
			item.height = 14;
			item.maxStack = 999;
			item.value = 225;
			item.rare = 1;
		}

		public override void AddRecipes()
		{
			ModRecipe recipe = new ModRecipe(mod);
			recipe.AddIngredient(ItemID.TinBar, 7);
			recipe.AddIngredient(ItemID.CopperBar);
			recipe.AddTile(TileID.Furnaces);
			recipe.SetResult(this, 8);
			recipe.AddRecipe();

			recipe = new ModRecipe(mod);
			recipe.AddIngredient(ItemID.CopperBar, 7);
			recipe.AddIngredient(ItemID.TinBar);
			recipe.AddTile(TileID.Furnaces);
			recipe.SetResult(this, 8);
			recipe.AddRecipe();
		}
	}
}