using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;
using static Terraria.ModLoader.ModContent;

namespace ConciseGuns.Items
{
	public class CGAccuracyPKG : ModItem
	{
		public override void SetStaticDefaults() {
			DisplayName.SetDefault("Accuracy Package");
			Tooltip.SetDefault("Installing this package increases accuracy by up to 40%.");
		}
	
		public override void SetDefaults() {
			item.width = 14;
			item.height = 14;
			item.maxStack = 999;
			item.value = 5000;
			item.rare = 1;
		}

		public override void AddRecipes()
		{
			ModRecipe recipe = new ModRecipe(mod);
			recipe.AddIngredient(mod.GetItem("CGClips"), 2);
			recipe.AddIngredient(mod.GetItem("CGFastener"), 2);
			recipe.AddIngredient(mod.GetItem("CGReflexSight"));
			recipe.AddTile(TileID.WorkBenches);
			recipe.SetResult(this);
			recipe.AddRecipe();
		}
	}
}