using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;
using static Terraria.ModLoader.ModContent;

namespace ConciseGuns.Items
{
	public class CGFastener : ModItem
	{
		public override void SetStaticDefaults() {
			DisplayName.SetDefault("Fastener");
			Tooltip.SetDefault("You just put some washers at the end of a screw. Gripping stuff, amirite?");
		}
	
		public override void SetDefaults() {
			item.width = 14;
			item.height = 14;
			item.maxStack = 999;
			item.value = 600;
			item.rare = 2;
		}

		public override void AddRecipes()
		{
			ModRecipe recipe = new ModRecipe(mod);
			recipe.AddIngredient(mod.GetItem("CGNut"), 2);
			recipe.AddIngredient(mod.GetItem("CGBolt"));
			recipe.AddTile(TileID.Anvils);
			recipe.SetResult(this);
			recipe.AddRecipe();
		}
	}
}