using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;
using static Terraria.ModLoader.ModContent;

namespace ConciseGuns.Items
{
	public class CGReflexSight: ModItem
	{
		public override void SetStaticDefaults() {
			DisplayName.SetDefault("Reflex Sight");
			Tooltip.SetDefault("Must... not... make joke...");
		}
	
		public override void SetDefaults() {
			item.width = 14;
			item.height = 14;
			item.maxStack = 999;
			item.value = 250;
			item.rare = 2;
		}

		public override void AddRecipes()
		{
			ModRecipe recipe = new ModRecipe(mod);
			recipe.AddIngredient(ItemID.IronBar, 3);
			recipe.AddIngredient(ItemID.Glass, 3);
			recipe.AddTile(TileID.Tables);
			recipe.SetResult(this, 1);
			recipe.AddRecipe();
		}
	}
}